Loading...
Searching...
No Matches
input-history.h File Reference
`#include <glib-object.h>`
`#include "types.h"`
`#include "macros.h"`
Include dependency graph for input-history.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | GiraraInputHistoryIOInterface
struct | GiraraInputHistory
struct | GiraraInputHistoryClass

## Macros

#define | GIRARA_TYPE_INPUT_HISTORY_IO (girara_input_history_io_get_type())
#define | GIRARA_INPUT_HISTORY_IO(obj)
#define | GIRARA_IS_INPUT_HISTORY_IO(obj)
#define | GIRARA_INPUT_HISTORY_IO_GET_INTERFACE(obj)
#define | GIRARA_TYPE_INPUT_HISTORY (girara_input_history_get_type())
#define | GIRARA_INPUT_HISTORY(obj)
#define | GIRARA_INPUT_HISTORY_CLASS(obj)
#define | GIRARA_IS_INPUT_HISTORY(obj)
#define | GIRARA_IS_INPUT_HISTORY_CLASS(obj)
#define | GIRARA_INPUT_HISTORY_GET_CLASS(obj)

## Functions

GType | girara_input_history_io_get_type (void) G_GNUC_CONST GIRARA_VISIBLE
void | girara_input_history_io_append (GiraraInputHistoryIO *io, const char *input) GIRARA_VISIBLE
girara_list_t * | girara_input_history_io_read (GiraraInputHistoryIO *io) GIRARA_VISIBLE
GType | girara_input_history_get_type (void) G_GNUC_CONST GIRARA_VISIBLE
GiraraInputHistory * | girara_input_history_new (GiraraInputHistoryIO *io) GIRARA_VISIBLE
void | girara_input_history_append (GiraraInputHistory *history, const char *input) GIRARA_VISIBLE
const char * | girara_input_history_next (GiraraInputHistory *history, const char *current_input) GIRARA_VISIBLE
const char * | girara_input_history_previous (GiraraInputHistory *history, const char *current_input) GIRARA_VISIBLE
void | girara_input_history_reset (GiraraInputHistory *history) GIRARA_VISIBLE
girara_list_t * | girara_input_history_list (GiraraInputHistory *history) GIRARA_VISIBLE

## Macro Definition Documentation

## GIRARA_INPUT_HISTORY

#define GIRARA_INPUT_HISTORY | ( |  | obj | ) |

Value:
(G_TYPE_CHECK_INSTANCE_CAST((obj), GIRARA_TYPE_INPUT_HISTORY, GiraraInputHistory))
GIRARA_TYPE_INPUT_HISTORY
#define GIRARA_TYPE_INPUT_HISTORY
Definition input-history.h:112

Definition at line 113 of file input-history.h.

## GIRARA_INPUT_HISTORY_CLASS

#define GIRARA_INPUT_HISTORY_CLASS | ( |  | obj | ) |

Value:
(G_TYPE_CHECK_CLASS_CAST((obj), GIRARA_TYPE_INPUT_HISTORY, GiraraInputHistoryClass))

Definition at line 114 of file input-history.h.

## GIRARA_INPUT_HISTORY_GET_CLASS

#define GIRARA_INPUT_HISTORY_GET_CLASS | ( |  | obj | ) |

Value:
(G_TYPE_INSTANCE_GET_CLASS((obj), GIRARA_TYPE_INPUT_HISTORY, GiraraInputHistoryClass))

Definition at line 118 of file input-history.h.

## GIRARA_INPUT_HISTORY_IO

#define GIRARA_INPUT_HISTORY_IO | ( |  | obj | ) |

Value:
(G_TYPE_CHECK_INSTANCE_CAST((obj), GIRARA_TYPE_INPUT_HISTORY_IO, GiraraInputHistoryIO))
GIRARA_TYPE_INPUT_HISTORY_IO
#define GIRARA_TYPE_INPUT_HISTORY_IO
Definition input-history.h:39
GiraraInputHistoryIO
struct girara_input_history_io_s GiraraInputHistoryIO
Definition types.h:38

Definition at line 40 of file input-history.h.

## GIRARA_INPUT_HISTORY_IO_GET_INTERFACE

#define GIRARA_INPUT_HISTORY_IO_GET_INTERFACE | ( |  | obj | ) |

Value:
(G_TYPE_INSTANCE_GET_INTERFACE((obj), GIRARA_TYPE_INPUT_HISTORY_IO, GiraraInputHistoryIOInterface))

Definition at line 43 of file input-history.h.

## GIRARA_IS_INPUT_HISTORY

#define GIRARA_IS_INPUT_HISTORY | ( |  | obj | ) |

Value:
(G_TYPE_CHECK_INSTANCE_TYPE((obj), GIRARA_TYPE_INPUT_HISTORY))

Definition at line 116 of file input-history.h.

## GIRARA_IS_INPUT_HISTORY_CLASS

#define GIRARA_IS_INPUT_HISTORY_CLASS | ( |  | obj | ) |

Value:
(G_TYPE_CHECK_CLASS_TYPE((obj), GIRARA_TYPE_INPUT_HISTORY))

Definition at line 117 of file input-history.h.

## GIRARA_IS_INPUT_HISTORY_IO

#define GIRARA_IS_INPUT_HISTORY_IO | ( |  | obj | ) |

Value:
(G_TYPE_CHECK_INSTANCE_TYPE((obj), GIRARA_TYPE_INPUT_HISTORY_IO))

Definition at line 42 of file input-history.h.

## GIRARA_TYPE_INPUT_HISTORY

#define GIRARA_TYPE_INPUT_HISTORY (girara_input_history_get_type())

Definition at line 112 of file input-history.h.

## GIRARA_TYPE_INPUT_HISTORY_IO

#define GIRARA_TYPE_INPUT_HISTORY_IO (girara_input_history_io_get_type())

Definition at line 39 of file input-history.h.

## Function Documentation

## girara_input_history_append()

void girara_input_history_append | ( | GiraraInputHistory * | history,
|  | const char * | input )

Append a new line of input.

Parameters

  history | an input history instance
  input | the input

## girara_input_history_get_type()

GType girara_input_history_get_type | ( | void |  | ) |

Returns the type of the input history.

Returns
  the type

## girara_input_history_io_append()

void girara_input_history_io_append | ( | GiraraInputHistoryIO * | io,
|  | const char * | input )

## girara_input_history_io_get_type()

GType girara_input_history_io_get_type | ( | void |  | ) |

## girara_input_history_io_read()

girara_list_t * girara_input_history_io_read | ( | GiraraInputHistoryIO * | io | ) |

## girara_input_history_list()

girara_list_t * girara_input_history_list | ( | GiraraInputHistory * | history | ) |

Get a list of all the inputs stored.

Parameters

  history | an input history instance

Returns
  a list containing all inputs

## girara_input_history_new()

GiraraInputHistory * girara_input_history_new | ( | GiraraInputHistoryIO * | io | ) |

Create new input history object.

Parameters

  io | a GiraraInputHistoryIO instance, may be NULL

Returns
  an input history object

## girara_input_history_next()

const char * girara_input_history_next | ( | GiraraInputHistory * | history,
|  | const char * | current_input )

Get the "next" input from the history

Parameters

  history | an input history instance
  current_input | input used to find the "next" input

Returns
  "next" input

## girara_input_history_previous()

const char * girara_input_history_previous | ( | GiraraInputHistory * | history,
|  | const char * | current_input )

Get the "previous" input from the history

Parameters

  history | an input history instance
  current_input | input used to find the "next" input

Returns
  "previous" input

## girara_input_history_reset()

void girara_input_history_reset | ( | GiraraInputHistory * | history | ) |

Reset state of the input history

Parameters

  history | an input history instance